package com.clx.performance.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.open.sdk.callback.message.OrderInfoMessage;
import com.clx.order.param.mq.SyncPendingFreightInternalReportParam;
import com.clx.performance.model.OrderGoods;
import com.clx.performance.param.pc.PagePendingFreightParam;
import com.clx.performance.vo.pc.PagePendingFreightVO;
import org.apache.poi.xssf.streaming.SXSSFWorkbook;

/**
 * @author kavin
 * Date 2024-10-17
 * Time 19:37
 */
public interface PendingFreightService {
    void dealPendingFreight4OrderInfo(OrderInfoMessage data);


    void dealPendingFreight4InternalReport(SyncPendingFreightInternalReportParam param);

    void dealPendingFreight4OrderGoods(OrderGoods orderGoods);

    void dealPendingFreight4OrderChild(String orderNo);

    IPage<PagePendingFreightVO> pagePendingFreight(PagePendingFreightParam param);

    SXSSFWorkbook exportPendingFreight(PagePendingFreightParam param);
}
